include: add a seccomp filter install wrapper
[openwrt/openwrt.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_USE_VERSION_4_6_LINARO if TARGET_octeon
6 default GCC_USE_VERSION_4_8_LINARO
7 help
8 Select the version of gcc you wish to use.
9
10 config GCC_USE_VERSION_4_6_LINARO
11 select GCC_VERSION_4_6_LINARO
12 bool "gcc 4.6.x with Linaro enhancements"
13
14 config GCC_USE_VERSION_4_8_LINARO
15 select GCC_VERSION_4_8_LINARO
16 bool "gcc 4.8.x with Linaro enhancements"
17
18 config GCC_USE_VERSION_4_9_LINARO
19 select GCC_VERSION_4_9_LINARO
20 bool "gcc 4.9.x with Linaro enhancements"
21
22 endchoice
23
24 config GCC_USE_GRAPHITE
25 bool
26 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
27
28 config GCC_USE_SYSTEM_PPL_CLOOG
29 bool
30 prompt "Use the system versions of PPL and CLooG"
31 depends on GCC_USE_GRAPHITE
32 default n
33
34 config EXTRA_GCC_CONFIG_OPTIONS
35 string
36 prompt "Additional gcc configure options" if TOOLCHAINOPTS
37 default ""
38 help
39 Any additional gcc options you may want to include....
40
41 config SSP_SUPPORT
42 bool
43 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
44 default n
45 help
46 Enable Stack-Smashing Protection support
47
48 config SJLJ_EXCEPTIONS
49 bool
50 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
51 default n
52 help
53 Use old setjump()/longjump() exceptions instead of the newer
54 frame unwinding exceptions handling routines. Warning: increases
55 code size and runtime memory usage.
56
57 config INSTALL_LIBGCJ
58 bool
59 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
60 default n
61 help
62 Build/install java compiler and GNU classpath ?
63
64
65 config INSTALL_GFORTRAN
66 bool
67 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
68 default n
69 help
70 Build/install GNU fortran compiler ?